Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365944 - systemd-importd runs as init_t
Summary: systemd-importd runs as init_t
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.3
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1420045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:44 UTC by Milos Malik
Modified: 2017-08-02 08:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
*systemd-importd* runs as `init_t` The *systemd-importd* service is using the "NoNewPrivileges" security flag in the *systemd* unit file. This blocks the SELinux domain transition from the `init_t` to `systemd_importd_t` domain.
Clone Of:
: 1420045 (view as bug list)
Environment:
Last Closed: 2017-02-14 17:22:33 UTC


Attachments (Terms of Use)

Description Milos Malik 2016-08-10 14:44:28 UTC
Description of problem:
* the systemd-importd service is not confined, should it be confined?

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-93.el7.noarch
selinux-policy-devel-3.13.1-93.el7.noarch
selinux-policy-doc-3.13.1-93.el7.noarch
selinux-policy-minimum-3.13.1-93.el7.noarch
selinux-policy-mls-3.13.1-93.el7.noarch
selinux-policy-sandbox-3.13.1-93.el7.noarch
selinux-policy-targeted-3.13.1-93.el7.noarch
systemd-219-25.el7.x86_64
systemd-devel-219-25.el7.x86_64
systemd-journal-gateway-219-25.el7.x86_64
systemd-libs-219-25.el7.x86_64
systemd-networkd-219-25.el7.x86_64
systemd-python-219-25.el7.x86_64
systemd-resolved-219-25.el7.x86_64
systemd-sysv-219-25.el7.x86_64

How reproducible:
* always

Steps to Reproduce:
# service systemd-importd status
Redirecting to /bin/systemctl status  systemd-importd.service
● systemd-importd.service - Virtual Machine and Container Download Service
   Loaded: loaded (/usr/lib/systemd/system/systemd-importd.service; static; vendor preset: disabled)
   Active: inactive (dead)
     Docs: man:systemd-importd.service(8)
# service systemd-importd start
Redirecting to /bin/systemctl start  systemd-importd.service
# service systemd-importd status
Redirecting to /bin/systemctl status  systemd-importd.service
● systemd-importd.service - Virtual Machine and Container Download Service
   Loaded: loaded (/usr/lib/systemd/system/systemd-importd.service; static; vendor preset: disabled)
   Active: active (running) since Wed 2016-08-10 16:42:39 CEST; 1s ago
     Docs: man:systemd-importd.service(8)
 Main PID: 10796 (systemd-importd)
   CGroup: /system.slice/systemd-importd.service
           └─10796 /usr/lib/systemd/systemd-importd

Aug 10 16:42:39 rhel71.localdomain systemd[1]: Starting Virtual Machine and ....
Aug 10 16:42:39 rhel71.localdomain systemd[1]: Started Virtual Machine and C....
Hint: Some lines were ellipsized, use -l to show in full.
# ps -efZ | grep importd
system_u:system_r:init_t:s0     root     10796     1  0 16:42 ?        00:00:00 /usr/lib/systemd/systemd-importd
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 10815 11150  0 16:42 pts/0 00:00:00 grep --color=auto importd
#


Note You need to log in before you can comment on or make changes to this bug.